Update Merchant
curl --request PATCH \
--url https://api-staging.eximpe.com/partners/merchants/{merchant_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>' \
--data '
{
"company_details": {
"website": "https://updated-website.com",
"monthly_avg_transaction_value": "75000.00",
"description_of_products_and_services": "Updated description of services"
},
"settlement_details": {
"bank_account_number": "9876543210",
"bank_account_name": "Updated Company Ltd"
}
}
'import requests
url = "https://api-staging.eximpe.com/partners/merchants/{merchant_id}/"
payload = {
"company_details": {
"website": "https://updated-website.com",
"monthly_avg_transaction_value": "75000.00",
"description_of_products_and_services": "Updated description of services"
},
"settlement_details": {
"bank_account_number": "9876543210",
"bank_account_name": "Updated Company Ltd"
}
}
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
company_details: {
website: 'https://updated-website.com',
monthly_avg_transaction_value: '75000.00',
description_of_products_and_services: 'Updated description of services'
},
settlement_details: {bank_account_number: '9876543210', bank_account_name: 'Updated Company Ltd'}
})
};
fetch('https://api-staging.eximpe.com/partners/merchants/{merchant_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Merchant updated successfully",
"data": {
"merchant_id": "3604346598",
"updated_fields": [
"company_details",
"settlement_details"
]
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Merchant
Update Merchant
Update specific fields of an existing merchant.
PATCH
/
partners
/
merchants
/
{merchant_id}
/
Update Merchant
Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Path Parameters
The ID of the merchant to update.
Body
application/json
Merchant update request - only include fields to update
⌘I